from os import chdir
import numpy as np
import matplotlib.pyplot as plt


###2D pinguin
x = [0.,0.28, 0.56, 0.85, 1.13, 1.41, 1.70, 1.98, 2.26, 2.54]
y = [10.0, 10.22, 10.32, 10.30, 10.16, 9.90, 9.51, 9.01, 8.39, 7.64]
t = [0. , 0.11, 0.22, 0.33, 0.44, 0.55, 0.67, 0.78, 0.89, 1.  ]
N = len(x)

#Simple trajectory
plt.figure('Traj')
plt.plot(x,y,'+')
plt.title ("Trajectory 2D")
plt.xlabel("Abscissa x (m)")
plt.ylabel("Ordinate y (m)")
plt.show()

#Computing speed and acceleration
vx=[]
vy=[]
for i in range(0,N-1):
    vx.append((x[i+1]-x[i])/(t[i+1]-t[i]))
    vy.append((y[i+1]-y[i])/(t[i+1]-t[i]))

ax = []
ay = []
for i in range(0,N-2):
    ax.append((vx[i+1]-vx[i])/(t[i+1]-t[i]))
    ay.append((vy[i+1]-vy[i])/(t[i+1]-t[i]))

#Plotting speed
plt.figure('Traj')
plt.plot(x,y,'+-')
for i in range(0,N-1):
    plt.arrow(x[i],y[i],vx[i]*0.2,vy[i]*0.2,head_width=0.05)
plt.title ("Trajectory et speed vectors")
plt.xlabel("Abscissa x (m)")
plt.ylabel("Ordinate y (m)")
plt.savefig("Traj_v")
plt.show()

#Trajectory and a
plt.figure('Traj')
plt.plot(x,y,'+-')
for i in range(0,N-2):
    plt.arrow(x[i],y[i],ax[i]*0.1,ay[i]*0.1,head_width=0.05)
plt.title ("Trajectory 2D")
plt.xlabel("Abscissa x (m)")
plt.ylabel("Ordinate y (m)")
plt.show()


#Trajectory, a and g
plt.figure('Traj')
plt.plot(x,y,'+')
for i in range(0,N-2):
    plt.arrow(x[i],y[i],ax[i]*0.1,ay[i]*0.1,head_width=0.05, color='g')
for i in range(0,N-2):
    plt.arrow(x[i],y[i],0,-9.81*0.1,head_width=0.05,linestyle=':')
plt.title ("Comparison $a$ and g")
plt.xlabel("Abscissa x (m)")
plt.ylabel("Ordinate y (m)")
plt.show()


